Subject: Re: git difftool does does not respect current working directory

From: David Aguilar <[email-masked]>
Date: Sat, 21 May 2011 23:50:53 -0700

On Sat, May 21, 2011 at 11:30:58PM -0700, Junio C Hamano wrote:
> David Aguilar <[email-masked]> writes:
> 
> > I think updating git-difftool--helper.sh to pass a chdir to vim
> > might be just the thing to do.  git-difftool.perl can be
> > updated to set $GIT_DIFFTOOL_PWD so that the helper can use it
> > as -c 'cd $GIT_DIFFTOOL_PWD'.  I'll see if I can whip up a patch
> > in a lil bit.
> 
> Hmm, would this benefit from sharing some concepts with 7cf16a1
> (handle_alias: provide GIT_PREFIX to !alias, 2011-04-27)?
> 
> If it helps, we might want to uniformly give this information to all
> external processes and programs, including hooks.

Yes, this would be very helpful.
Without this my patch would have to touch git-difftool.perl,
git-mergetool.sh, and git-mergetool--helper.sh.

With $GIT_PREFIX it would touch git-mergetool--helper.sh only.
-- 
					David